<?php
/**
 * Digital Services Company functions
 */

if ( ! function_exists( 'digital_services_company_setup' ) ) :
function digital_services_company_setup() {
    load_theme_textdomain( 'digital-services-company', get_template_directory() . '/languages' );
	
	/**
	* About Theme Function
	*/
	require get_theme_file_path( '/about-theme/about-theme.php' );

}
endif; 
add_action( 'after_setup_theme', 'digital_services_company_setup' );

//Admin css
	add_editor_style( array( 'assets/css/admin.css' ) );

if ( ! function_exists( 'digital_services_company_styles' ) ) :
	function digital_services_company_styles() {
		// Register theme stylesheet.
		wp_register_style('digital-services-company-style',
			get_template_directory_uri() . '/style.css',array(),
			wp_get_theme()->get( 'Version' )
		);
		
		wp_enqueue_style( 
			'fontawesome-style', 
			get_template_directory_uri() .'/assets/fontawesome/css/all.css' 
		);

		wp_enqueue_script('digital-services-company-js',
        	get_template_directory_uri() . '/assets/js/effects.js',array(),
        	wp_get_theme()->get('Version'),true 
   		);

		wp_enqueue_style( 'scroll-to-top-style',
			get_template_directory_uri() . '/assets/css/scroll-to-top.css',
			array(),
			wp_get_theme()->get('Version')
		);

		wp_enqueue_script( 'scroll-to-top-js',
			get_template_directory_uri() . '/assets/js/scroll-to-top.js',
			array(),
			wp_get_theme()->get('Version'),
			true
		);

		// Enqueue theme stylesheet.
		wp_enqueue_style( 'digital-services-company-style' );

		wp_style_add_data( 'digital-services-company-style', 'rtl', 'replace' );

	}
endif;
add_action( 'wp_enqueue_scripts', 'digital_services_company_styles' );

/**
 * Customizer
 */
require get_template_directory() . '/inc/customizer.php';